
var event_time = new Date("Tue Sept 26 2006 09:00:00 GMT-0700");
var event_name = "2nd ServoyWorld Conference!";
var event_happened = "ServoyWorld Was Great!"
var event_smallest_unit = "seconds";

var update_timer = null;

function OpenWebsite1(event)
{
	if (window.widget)
	{
		widget.openURL("http://www.servoyworld.info");
	}
}

function oncountdownloaded()
{
	if (window.widget)
	{
		widget.onhide = stopTimer;
		widget.onshow = startTimer;
	}

	startTimer();
	var doneButton = document.getElementById('done');
	if (window.widget)
		createGenericButton(doneButton, 'Done', doneClicked);
}

function startTimer() {
	if (update_timer)
		return;

	updateTimer();
	update_timer = window.setInterval(updateTimer, 1000);
}

function stopTimer() {
	if (!update_timer)
		return;

	window.clearInterval(update_timer);
	update_timer = null;
}

function updateTimer() {
	var my_time = new Date();
	if (my_time > event_time) {
		document.getElementById('count').innerHTML = event_happened;
		return;
	}

	var dDays    = 0;
	var dHours   = 0;
	var dMintes  = 0;
	var dSeconds = 0;

	var dSeconds = (event_time - my_time) / 1000;
	var dDays = Math.floor(dSeconds / (24*3600));
	dSeconds = Math.floor(dSeconds % (24*3600));
	var dHours = Math.floor(dSeconds / 3600);
	dSeconds = Math.floor(dSeconds % 3600);
	var dMinutes = Math.floor(dSeconds / 60);
	dSeconds = Math.floor(dSeconds % 60);

//GMA	if (dHours < 10) dHours = "0" + dHours;
//GMA	if (dMinutes < 10) dMinutes = "0" + dMinutes;
//GMA	if (dSeconds < 10) dSeconds= "0" + dSeconds;

	var sDays = "<strong>" + dDays + "</strong> days";
	var sHours = "<strong>" + dHours + "</strong> hrs";
	var sMinutes = "<strong>" + dMinutes + "</strong> mins";
	var sSeconds = "<strong>" + dSeconds + "</strong> secs";

	var a = [];
	if (event_smallest_unit == "days")
		a = [sDays];
	if (event_smallest_unit == "hours")
		a = [sDays, sHours];
	if (event_smallest_unit == "minutes")
		a = [sDays, sHours, sMinutes];
	if (event_smallest_unit == "seconds")
		a = [sDays, sHours, sMinutes, sSeconds];

	document.getElementById('count').innerHTML = a.join(', ') + "<br />until " + event_name;
}

function showbackside(event) {
	var front = document.getElementById("front");
	var back = document.getElementById("behind");

	if (window.widget)
		widget.prepareForTransition("ToBack");

	front.style.display="none";
	back.style.display="block";

	if (window.widget)
		setTimeout ('widget.performTransition();', 0);  
        
	document.getElementById('fliprollie').style.display = 'none';
}

function doneClicked() {
	var front = document.getElementById("front");
	var back = document.getElementById("behind");

	if (window.widget)
		widget.prepareForTransition("ToFront");

	front.style.display="block";
	back.style.display="none";

	if (window.widget)
		setTimeout("widget.performTransition();", 0);
}

var flipShown = false;

var animation = {duration:0, starttime:0, to:1.0, now:0.0, from:0.0, element:null, timer:null};

function clamp(val, min, max) {
	return val < min ? min : (val > max ? max : val);
}

function computeNextFloat (from, to, ease) {
	return from + (to - from) * ease;
}

function animate() {
	var T;
	var ease;
	var time = (new Date).getTime();

	T = clamp(time-animation.starttime, 0, animation.duration);

	if (T >= animation.duration) {
		clearInterval(animation.timer);
		animation.timer = null;
		animation.now = animation.to;
	} else {
		ease = 0.5 - (0.5 * Math.cos(Math.PI * T / animation.duration));
		animation.now = computeNextFloat(animation.from, animation.to, ease);
	}

	animation.element.style.opacity = parseInt(animation.now*100)/100;
}

function mousemove (event) {
	if (!flipShown) {
		// fade in the flip widget
		if (animation.timer != null) {
			clearInterval (animation.timer);
			animation.timer  = null;
		}

		var starttime = (new Date).getTime() - 13; // set it back one frame

		animation.duration = 500;
		animation.starttime = starttime;
		animation.element = document.getElementById ('flip');
		animation.timer = setInterval ("animate();", 13);
		animation.from = animation.now;
		animation.to = 1.0;
		animate();
		flipShown = true;
	}
}

function mouseexit (event) {
	if (flipShown) {
		// fade out the flip widget
		if (animation.timer != null) {
			clearInterval (animation.timer);
			animation.timer  = null;
		}

		var starttime = (new Date).getTime() - 13; // set it back one frame

		animation.duration = 500;
		animation.starttime = starttime;
		animation.element = document.getElementById ('flip');
		animation.timer = setInterval ("animate();", 13);
		animation.from = animation.now;
		animation.to = 0.0;
		animate();
		flipShown = false;
	}
}

function enterflip(event) {
	document.getElementById('fliprollie').style.display = 'block';
}

function exitflip(event) {
	document.getElementById('fliprollie').style.display = 'none';
}
